Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.edit.internal.swt.table
Class TableColumnConfiguration

    java.lang.Object
      org.eclipse.emf.ecp.edit.internal.swt.table.TableColumnConfiguration

    public class TableColumnConfiguration

extends Object

The table column configuration defines whether a column is visible and what attribute should be bound to the column.

Author:
  Eugen Neufeld

Constructor Summary
`TableColumnConfiguration(boolean readOnly, org.eclipse.emf.ecore.EAttribute columnAttribute)`

Method Summary
`boolean` | `equals(Object obj)`
`org.eclipse.emf.ecore.EAttribute` | `getColumnAttribute()` The `EAttribute` to bind to the column.
`int` | `hashCode()`
`boolean` | `isReadOnly()` Whether the column is read only.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TableColumnConfiguration

    public TableColumnConfiguration(boolean readOnly,
                                    org.eclipse.emf.ecore.EAttribute columnAttribute)

Parameters:
  `readOnly` - whether the column is read-only
  `columnAttribute` - the `EAttribute` to be displayed in this column

Method Detail

### isReadOnly

    public boolean isReadOnly()

  Whether the column is read only.

  Returns:
    if the column is read-only

### getColumnAttribute

    public org.eclipse.emf.ecore.EAttribute getColumnAttribute()

  The `EAttribute` to bind to the column.

  Returns:
    the `EAttribute` to bind

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.